* ********************* GET DATA ********************* .

* Database of cookies.

data list list(tab) file='cookies.dat' / cookieid(a32) num_vis(f8.0) firstlog(a19)
nocookie(f2.0) cook_err(f2.0).
EXECUTE .

* LABELS .
var labels cookieid 'Cookie ID'
/num_vis 'Number of visits'
/firstlog 'First login date and time'
/nocookie 'User do not accept cookies'
/cook_err 'Cookie error'.
EXECUTE.

SORT CASES BY
  cookieid (A) .

SAVE OUTFILE='cookieident.sav'
  /COMPRESSED.


* Database of sessions.

data list list(tab) file='sessions.dat' / sessid(a32) cookieid(a32) IP(a15) host(a80)
referer(a150) browser(a80) acclang(a40) sesstime(a19) sessapp(f8.0).
EXECUTE .

* LABELS .
var labels sessid 'Session ID'
/cookieid 'Cookie ID'
/IP 'IP address'
/host 'Host name'
/referer 'HTTP referer'
/browser 'Browser'
/acclang 'Languages accepted by browser'
/sesstime 'Date and time of session start'
/sessapp 'Time session appears (usually should be 1)'.
EXECUTE.

SORT CASES BY
  sessid (A) .

SAVE OUTFILE='sessionident.sav'
  /COMPRESSED.


* Database of moving.

data list list(tab) file='moving.dat' / sessid(a32) location(a200) acctime(a19) script(a30) scrparam(a60).
EXECUTE .

* LABELS .
var labels sessid 'Session ID'
/location 'Visited location'
/acctime 'Access date and time'
/script 'Visited script name'
/scrparam 'Visited script parameters'.
EXECUTE.

SORT CASES BY
  sessid (A) .

SAVE OUTFILE='moving.sav'
  /COMPRESSED.


* Database of robots.

data list list(tab) file='robots.dat' / botname(a80) botip(a15) bothost(a80) botcount(f8.0).
EXECUTE .

* LABELS .
var labels botname 'Robot name'
/botip 'Robot IP address'
/bothost 'Robot hostname'
/botcount 'Number ob robot visits'.
EXECUTE.

SAVE OUTFILE='robots.sav'
  /COMPRESSED.




* ********************* MERGE FILES ********************* .

GET
  FILE='moving.sav'.

MATCH FILES /FILE=*
 /TABLE='sessionident.sav'
 /BY sessid.
EXECUTE.

SORT CASES BY
  cookieid (A) .

MATCH FILES /FILE=*
 /TABLE='cookieident.sav'
 /BY cookieid.
EXECUTE.



* ********************* SAVE FILE ********************* .


SAVE OUTFILE="webtracker.sav" 
/KEEP=
cookieid
num_vis
firstlog
nocookie
cook_err
sessid
ip
host
referer
browser
acclang
sesstime
sessapp
location
script
scrparam
acctime.


GET
  FILE='webtracker.sav'.

SORT CASES BY
  acctime (A) .

SAVE OUTFILE='webtracker.sav'
  /COMPRESSED.


* ********************* LIST CLIQ PARAMETERS ********************* .

GET
  FILE='moving.sav'.
USE ALL.
COMPUTE filter_$=(script = "cliq.php").
VARIABLE LABEL filter_$ 'script = "cliq.php" (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=scrparam acctime
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='External clicks'
  /MISSING=VARIABLE
  /CELLS=NONE.

* ********************* LIST LIVEMAIL PARAMETERS ********************* .

GET
  FILE='moving.sav'.
USE ALL.
COMPUTE filter_$=(script = "livemail.php").
VARIABLE LABEL filter_$ 'script = "livemail.php" (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

SUMMARIZE
  /TABLES=scrparam acctime
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Live e-mails'
  /MISSING=VARIABLE
  /CELLS=NONE.
